Subject: [BEHAVE] SHA-1 and FIPS compliance

From: Avshalom Houri <[email-masked]>
Date: Tue, 11 May 2010 17:36:44 +0300

STUN assumes SHA-1 for computing message integrity.
It seems that FIPS behind 2010 will not allow SHA-1 to be used.

Is it something that was discussed before and are there intentions
to fix this in STUN?

avshalom

---

From: "Muthu ArulMozhi Perumal (mperumal)" <[email-masked]>
Date: Tue, 11 May 2010 20:29:39 +0530

The fix is already described in section 16.3 of RFC5389:
 
<snip>
   This specification uses HMAC-SHA-1 for computation of the message
   integrity.  If, at a later time, HMAC-SHA-1 is found to be
   compromised, the following is the remedy that will be applied.
 
   We will define a STUN extension that introduces a new message-
   integrity attribute, computed using a new hash.  Clients would be
   required to include both the new and old message-integrity attributes
   in their requests or indications.  A new server will utilize the new
   message-integrity attribute, and an old one, the old.  After a
   transition period where mixed implementations are in deployment, the
   old message-integrity attribute will be deprecated by another
   specification, and clients will cease including it in requests.
</snip>
 
Muthu
 
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Avshalom Houri
Sent: Tuesday, May 11, 2010 8:07 PM
To: [email-masked]
Subject: [BEHAVE] SHA-1 and FIPS compliance

avshalom

---

From: Avshalom Houri <[email-masked]>
Date: Tue, 11 May 2010 18:08:59 +0300

I understand that someone has to define the extension to be used
in the transition period. E.g. HMAC-SHA-224 and/or HMAC-SHA-256.

Is there such a definition yet?

avshalom

From:   "Muthu ArulMozhi Perumal (mperumal)" <[email-masked]>
To:     Avshalom Houri/Haifa/IBM@IBMIL, <[email-masked]>
Date:   11/05/2010 05:59 PM
Subject:        RE: [BEHAVE] SHA-1 and FIPS compliance

<snip>

Muthu

avshalom

---

From: [email-masked]
Date: Tue, 11 May 2010 11:56:14 -0400

I believe FIPS post-2010 will still allow SHA-1 for (128-bit) HMAC, which is
the mode in which STUN uses it.

That said, STUN does need some work on algorithm agility going forward.

On Tuesday, May 11 2010, "Avshalom Houri" wrote to "[email-masked]" saying:

> <font size=2 face="Courier New">STUN assumes SHA-1 for computing message
> integrity.</font>
> <br><font size=2 face="Courier New">It seems that FIPS behind 2010 will
> not allow SHA-1 to be used.</font>
> <br>
> <br><font size=2 face="Courier New">Is it something that was discussed
> before and are there intentions</font>
> <br><font size=2 face="Courier New">to fix this in STUN?</font>
> <br><font size=2 face="Courier New"><br>
> avshalom<br>
> </font>_______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave